#DESC	1.2 * DESCRIPTOR INFORMATION ***********************
*
*	Dataset Type and Format:
*
DSRC	EXP
BSEQ	BIG
IKKF	REAL
XTYP	IDX
YTYP	NODATA
ZTYP	NODATA
*
*	Item Formats:
*
IRFMT	D
*
*	Data Ranges and Resolutions:
*
XPTS	1024
XMIN	2312.000000
XWID	1498.535156
*
*	Documentational Text:
*
TITL	'CYP116B5_D2O_@40K.DSC'
IRNAM	'Intensity'
XNAM	'Field'
IRUNI	''
XUNI	'G'
*
************************************************************
*
#SPL	1.2 * STANDARD PARAMETER LAYER
*
OPER    allforone
DATE    03/26/22
TIME    16:28:14
CMNT    
SAMP    
SFOR    
STAG    C
EXPT    CW
OXS1    IADC
AXS1    B0VL
AXS2    NONE
AXS3    
A1CT    0.3062
A1SW    0.15
MWFQ    9.619419e+09
MWPW    0.000312
AVGS    16
RESO    md5w19203
SPTP    0.08
RCAG    50
RCHM    1
B0MA    0.0006
B0MF    100000
RCPH    0.0
RCOF    0.0
A1RS    1024
RCTC    0.04096
*
************************************************************
*
#DSL	1.0 * DEVICE SPECIFIC LAYER
*

.DVC     acqStart, 1.0


.DVC     fieldCtrl, 1.0

AllegroMode        True
CenterField        3062.00 G
Delay              0.0 s
FieldFlyback       On
FieldWait          Wait LED off
GFactor            2.000000
SetToSampleG       False
StaticFieldMon     2060.000 G
SweepDirection     Up
SweepWidth         1500.0 G

.DVC     fieldSweep, 1.0


.DVC     freqCounter, 1.0

FrequencyMon       9.619419 GHz
QMonitBridge       On

.DVC     mwBridge, 1.0

AcqFineTuning      Never
AcqScanFTuning     Off
AcqSliceFTuning    Off
Power              0.3120 mW
PowerAtten         28 dB

.DVC     recorder, 1.0

BaselineCorr       Off
NbScansAcc         16
NbScansDone        16
NbScansToDo        16
ReplaceMode        Off
SmoothMode         Auto
SmoothPoints       1

.DVC     scanEnd, 1.0


.DVC     signalChannel, 1.0

AFCTrap            True
AllegroMode        True
Calibrated         True
DModAmp            1.00 G
DModCalibrated     True
DModDetectSCT      First
DModEliDelay       1.0 us
DModExtLockIn      False
DModExtTrigger     False
DModFieldMod       First
DModGain           60 dB
DModIntegrator     True
DModModOutput      Internal
DModTimeConst      1.28 ms
DoubleModFreq      3.00 kHz
DoubleModPhase     0.0
DoubleMode         False
DualDetect         OFF
EliDelay           1.0 us
EnableImag         Disable
ExtLockIn          False
ExtTrigger         False
Gain               50 dB
GateTime           80.00 ms
Harmonic           1
HighPass           True
Integrator         False
IsCalibExp         False
ModAmp             6.000 G
ModFreq            100.00 kHz
ModOutput          Internal
ModPhase           0.0
NbPoints           1024
Offset             0.0 %
QuadMode           False
Resonator          1
SamplingTime       80.00 ms
ScanTime           81.92 s
SctNorm            True
SctRevision        AllegroDMod
TimeConst          40.96 ms
TimeExp            False
TuneCaps           35

*
************************************************************
