%%

clear all; clf;

% Spettri Sperimentali CW CYP116B5hd in D2O e con Imidazolo

[B2,int2,param]=eprload('CW_CYP116B5_D2O_@40K.DSC');
int2=basecorr(int2,1,1);
plot(B2/10,int2/max(int2)+3.2,'k','LineWidth',3)
hold on

[B4,int4,param]=eprload('CW_CYP116B5_15NImidazole_@40K.DTA');
int4=basecorr(int4,1,1);
plot(B4/10,int4/max(int4),'k','LineWidth',3);

xlim([240 380])
xticks(240:20:380);
ylim([-1.2 4.3]);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'k','TickDir','out', 'FontSize', 30, 'FontName', 'Arial');
ax.XAxis.TickLabelFormat = '%.2f';
hold on


%%

clear all; clf;


%CYP116B5 con Imidazole Echo Induced Field Sweep X-band

[B2,int2]=eprload('EDFS_CYP116B5_15Imidazole_@10K');
plot(B2/10,real(int2/max(int2))+2,'k','linewidth',3);

hold on

%CYP116B5 in D2O Echo Induced Field Sweep X-band

[B1,int1]=eprload('EDFS_CYP116B5_D2O_@10K');
plot(B2/10,real(int1/max(int1))+3.0,'k','linewidth',3);

set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'k','TickDir','out', 'FontSize', 30, 'FontName', 'Arial');
ax.XAxis.TickLabelFormat = '%.2f';
xlim([250 400]);
xticks(250:25:400);
%xlabel('Magnetic Field [mT]');
