clear all; clf;


[v1,spc1] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM1');
[v2,spc2] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM2');
[v3,spc3] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM3');
[v4,spc4] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM4');
[v5,spc5] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM5');
[v6,spc6] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM6');
[v7,spc7] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM7');
[v8,spc8] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM8');
[v9,spc9] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM9');
[v10,spc10] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM10');
v = v1;
spc = spc1+spc2+spc3+spc4+spc5+spc6+spc7+spc8+spc9+spc10;
%spc = spc/max(spc);

dv=mean(diff(v));
DI_spc=trapz(spc)*dv;


data = [v(:) spc(:)];
save('ENDOR_CYP116B5_D2O_3600G_20K.txt','data','-ascii');

Exp.nPoints = 120;
Exp.mwFreq = 9.721145;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
B = [360.0];
vL = ((14.9021186/350)*B);

Options = struct('GridSize',181,'Enhancement','off','OriPreSelect', 1);

        
Sys.S = 1/2;
Sys.g = [1.92 2.25 2.41];
Sys.S = 1/2;
Sys.Nucs = '1H';
aiso_H1 = 0.79;
T_H1 = 2.595;
Ad_H2 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H2;
Sys.A = A_H1;
Sys.AFrame = [0 50 0]*pi/180;
Sys.lwEndor = 0.5;
Exp.Field = B;
[v_sim,spc_sim]=salt(Sys,Exp,Options);
spc_sim=spc_sim/max(spc_sim);
DI_sim=trapz(spc_sim)*dv;      

plot(v-vL,(spc-0.995)*4.7569,'k','LineWidth',2);
hold on
%plot(v_sim-vL,(spc_sim*-1),'r');


%figure('Name','Simulation','NumberTitle','off')
xlim([-4 4]) % left and right limits of the x-axis
%xlabel('\nu - \nu_L [MHz]') % x-axis label
%xticks(-4:1:4);
%ylabel('Signal Amplitude [a.u.]') % y-axis label
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'k','TickDir','out', 'FontSize', 30, 'FontName', 'Arial');

%%

clear all; clf;


[v1,spc1] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM1');
[v2,spc2] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM2');
[v3,spc3] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM3');
[v4,spc4] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM4');
[v5,spc5] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM5');
[v6,spc6] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM6');
[v7,spc7] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM7');
[v8,spc8] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM8');
[v9,spc9] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM9');
[v10,spc10] = eprload('C:\Users\Tony\OneDrive - unizar.es\PhD\Spettri EPR\Pulse\X-band\ENDOR\INN Demokritos\CYP116B5 in D2O\GXM10');
v = v1;
spc = spc1+spc2+spc3+spc4+spc5+spc6+spc7+spc8+spc9+spc10;

 spc = spc/max(spc);

% dv=mean(diff(v));
% DI_spc=trapz(spc)*dv;

B = [360];
vL = ((14.9021186/350)*B);

Options = struct('GridSize',181,'Enhancement','off','OriPreSelect', 1);

% plot(v-vL,spc,'k','LineWidth',2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'k','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold off


%--------------H1 Cisteina----------------------------

figure(1)
        
Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H';
aiso_H1 = 0.79;
T_H1 = 2.60;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H1;
Sys.A = [A_H1];
Sys.AFrame = [5 47 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [5 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.72;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim1]=salt(Sys,Exp,Options);
spc_sim1n=spc_sim1/max(spc_sim1);
plot(v_sim-vL,(spc_sim1n*-1+6)/6,'b',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold on

%--------------H2 Cisteina----------------------------

figure(2)

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H';
aiso_H1 = 0.10;
T_H1 = 1.02;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H1;
Sys.A = [A_H1];
Sys.AFrame = [13 66 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [5 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.72;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim2]=salt(Sys,Exp,Options);
spc_sim2n=spc_sim2/max(spc_sim2);
plot(v_sim-vL,(spc_sim2n*-1+6)/6,'m',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold on

%--------------4xH Meso----------------------------

figure(3)
        
Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H,1H,1H,1H';
%Sys.n = [2 2];
aiso_H1 = 0.10;
aiso_H2 = 0.10;
aiso_H3 = 0.10;
aiso_H4 = 0.10;
T_H1 = 0.87;
T_H2 = 0.87;
T_H3 = 0.87;
T_H4 = 0.87;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
Ad_H2 = [-T_H2 -T_H2 +2*T_H2]; 
Ad_H3 = [-T_H3 -T_H3 +2*T_H3]; 
Ad_H4 = [-T_H4 -T_H4 +2*T_H4]; 
A_H1 = aiso_H1 + Ad_H1;
A_H2 = aiso_H2 + Ad_H2;
A_H3 = aiso_H3 + Ad_H3;
A_H4 = aiso_H4 + Ad_H4;
Sys.A = [A_H1; A_H2; A_H3; A_H4];
Sys.AFrame = [45 90 0; 45 90 0; -45 90 0; -45 90 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [5 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.72;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim3]=salt(Sys,Exp,Options);
spc_sim3n=spc_sim3/max(spc_sim3);
plot(v_sim-vL,(spc_sim3n*-1+6)/6,'g',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

%-----------------FINAL PLOT-----------------------

spc_sim= spc_sim1*15+spc_sim2+spc_sim3;
spc_sim=spc_sim/max(spc_sim);
% spc_sim=spc_sim/max(spc_sim);
% DI_sim=trapz(spc_sim)*dv;      

% plot(v-vL,(spc-0.995)*4.7569,'k','LineWidth',2);

% plot(v_sim-vL,(spc_sim*-1+6)/6,'r',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
%xlabel('\nu - \nu_L [MHz]') % x-axis label
xticks(-4:1:4);
%ylabel('Signal Amplitude [a.u.]') % y-axis label
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

% legend ('Exp','H1 Cys', 'H2 Cys', '5xH Meso', 'Sum');